Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.util
Class Pair<A,B>

    java.lang.Object
      rdlc.util.Pair<A,B>

Direct Known Subclasses:
  RawDynamicIdentifier, RawStaticIdentifier

    public class Pair<A,B>

extends java.lang.Object

Stores a pair of objects as one. Uses type parameterization to make this simple and type-safe. The two objects can, of course, be of different types or the same. This is effectively a multi-type, type safe limited length array.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling

Field Summary
`A` | `a` The first object to store.
`B` | `b` The second object to store.

Constructor Summary
`Pair(A _a, B _b)` Base constructor, simply records the fields for this object.

Method Summary
`int` | `hashCode()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### a

    public A a

  The first object to store.

### b

    public B b

  The second object to store.

Constructor Detail

### Pair

    public Pair(A _a,
                B _b)

  Base constructor, simply records the fields for this object.

  Parameters:
    `_a` - The first object to store.
    `_b` - The second object to store.

Method Detail

### hashCode

    public int hashCode()

  Simple accessor.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code for this object which is composed of the hashes for the two stored objects.
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A concatentation of the string for the sub-objects.
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD